Subject: Loop Detection !!

From: Manoj Dutta <[email-masked]>
Date: Tue, 29 May 2001 19:38:24 -0700

Hi,

I have a few doubts regarding loop detection in RFC 3036 :-

a)  If an LSR A receives a mapping fron a downstream LSR B and a loop is
detected on checking the attributes, then  the label is released by
LASR A only if there is no matching mapping received previously.  Why is
the mapping not  released in case there is a matching mapping already
present in the LSR A.

b)  The algorithm for handling loop detection messages received in
response to label mapping message is not very clear.  According to the
RFC it should be handled in the same manner as No Route notification
message (A.1.10) but A.1.10 describes the case when a No Route is
received in response to request message only.

Thanks in advance
manoj